#ifndef _COMMON_PURECALLBACK_HPP_
#define _COMMON_PURECALLBACK_HPP_
#ifndef _COMMON_CALLBACKDATA_HPP_
#include <common/cbdata.hpp>
#endif

class PureCallback
{
public:
	PureCallback(void);
	virtual ~PureCallback();
	virtual CallbackData::ReturnType operator*(CallbackData &someCallbackData)=0;
private:
};

inline
PureCallback::PureCallback(void)
{
}

inline
PureCallback::~PureCallback()
{
}

inline
CallbackData::ReturnType PureCallback::operator*(CallbackData &/*someCallbackData*/)
{
	return 0;
}
#endif